%define Name gcc
%define Version 2.95.3

Name        	: gg-i686be-amithlon-%{Name}
Version     	: %{Version}
Release     	: 3

Summary     	: Various compilers (C, C++, Objective-C, Chill, ...) for i686be-amithlon.
Group       	: Development/Languages
Copyright   	: GPL
URL         	: http://gcc.gnu.org

Source0		: ftp://ftp.gnu.org/gnu/%{Name}/%{Name}-%{Version}.tar.gz
Patch0		: gg-%{Name}-%{Version}.patch
BuildRoot   	: /tmp/%{Name}-%{Version}

BuildRequires	: gg-texinfo, gg-libtool, gg-i686be-amithlon-binutils >= 2.9.1, gg-i686be-amithlon-ixemul-devel

Requires	: gg-i686be-amithlon-binutils >= 2.9.1
Requires	: gg-gcc-common = %{version}-%{release}

%description
The gcc package contains the GNU Compiler Collection: cc and gcc. You'll need
this package in order to compile C/C++ code.

This package is for ix86 Amithlon development.


%prep
%setup -q -n %{Name}-%{Version}
%patch0 -p1


%build
# Just plain optimizing, since these flags will be passed to the build cross
# compiler as well and the native one. Now if I only could figure out how to
# set XFCFLAGS to "%{optflags}" ....
CFLAGS="-O2"; export CFLAGS
%define _target_platform i686be-amithlon
%configure --enable-languages			\
           --build=%{_build}			\
           --host=%{_host}
make all


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr (-,root,root)
%doc COPYING COPYING.LIB ChangeLog FAQ MAINTAINERS Product-Info README
%{_bindir}/i686be-amithlon*
%{_libdir}/gcc-lib/i686be-amithlon/%{Version}
%{_mandir}/man1/i686be-amithlon*
%{_prefix}/i686be-amithlon/*


%changelog
* Fri Feb  8 2002 Martin Blom <martin@blom.org>
- Now supports floating point path and 64 bit integers.

* Mon Dec 10 2001 Martin Blom <martin@blom.org>
- Initial release.
